Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class ClientConnectionHandler

    java.lang.Object
      com.verisign.epp.serverstub.ClientConnectionHandler

All Implemented Interfaces:
  ServerEventHandler, java.lang.Cloneable

    public class ClientConnectionHandler

extends java.lang.Object
implements ServerEventHandler, java.lang.Cloneable

The `EPPClientConnectionHandler` class manages a single client session. A connection is logically started when the handleConnection() method is invoked by a listening server socket.

Version:
  $Revision: 1.10 $
Author:
  $Author: jim $

Constructor Summary
`ClientConnectionHandler()` Creates a new ClientConnectionHandler instance.

Method Summary
`java.lang.Object` | `clone()` Makes a bitwise copy of this ClientConnectionHandler
`void` | `close()` Makes the current session stop receiving commands
`void` | `handleConnection(java.io.InputStream newInputStream, java.io.OutputStream newOutputStream)` Invoked when a new cleint connects
`protected void` | `resetIdleTimeOut()` Resets the idle Timeout

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientConnectionHandler

    public ClientConnectionHandler()

  Creates a new ClientConnectionHandler instance.

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Makes a bitwise copy of this ClientConnectionHandler

  Specified by:
    `clone` in interface `ServerEventHandler`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    DOCUMENT ME!
  Throws:
    `java.lang.CloneNotSupportedException` - DOCUMENT ME!

### handleConnection

    public void handleConnection(java.io.InputStream newInputStream,
                                 java.io.OutputStream newOutputStream)

  Invoked when a new cleint connects

  Specified by:
    `handleConnection` in interface `ServerEventHandler`
  Parameters:
    `newInputStream` - The inputStream of the new connection
    `newOutputStream` - The outputStream of the new connection

### close

    public void close()

  Makes the current session stop receiving commands

### resetIdleTimeOut

    protected void resetIdleTimeOut()

  Resets the idle Timeout

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.